%define name            nsuml
%define version         0.4.20
%define release         3jpp
%define section         free

Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Summary:        Novosoft UML API
License:        LGPL
Source0:        http://download.sourceforge.net/nsuml/nsuml0_4_20.zip
Patch0:         %{name}-jdom.patch
URL:            http://nsuml.sourceforge.net/
Requires:	dtdparser
Requires:	xml-commons-apis
Requires:	jdom
BuildRequires:  ant
BuildRequires:	dtdparser
BuildRequires:	xml-commons-apis
BuildRequires:	jdom
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{relase}-buildroot
Vendor:         JPackage Project
Distribution:   JPackage

%description
This UML library provides following services: implementation of
complete UML 1.3 physical metamodel, easy to use interfaces, event
notification, undo/redo support, reflective API, XMI loading/saving.

%package manual
Summary:        Manual for %{name}
Group:          Development/Libraries/Java

%description manual
Documentation for %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p0
rm docs/rmcvs.cmd
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# clean manifest file
perl -pi -e 's/^.*\.jar.*$//s' manifest.mf

# -----------------------------------------------------------------------------

%build
ant -D.classpath=%{_javadir}/xml-commons-apis.jar:\
%{_javadir}/dtdparser.jar:%{_javadir}/jdom.jar \
-Dgen.classpath=%{_javadir}/xml-commons-apis.jar:%{_javadir}/dtdparser.jar \
jar

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT

# jar
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc changes.txt readme.html
%{_javadir}/*

%files manual
%defattr(0644,root,root,0755)
%doc docs

# -----------------------------------------------------------------------------

%changelog
* Fri Apr 11 2003 David Walluck <david@anti-microsoft.org> 0:0.4.20-3jpp
- rebuild for JPackage 1.5
- requires xml-commons-apis for XML support

* Tue Mar  4 2003 Ville Skytt <ville.skytta at iki.fi> - 0.4.20-2jpp
- Patch to work with recent JDOM versions.
- Fix Group, Vendor and Distribution tags.
- Use sed instead of bash 2 extension for symlink creation during build.

* Wed Jan 23 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.20-1jpp
- 0.4.20
- no dependencies for manual package
- section macro
- cleaned manifest file

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.19-5jpp
- rebuild for new jpp extension

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.19-4jpp
- used original tarball

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.19-3jpp
- more macros

* Fri Sep 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.19-2jpp
- first unified JPackage release
- spec cleanup
- added requires and buildrequires jdom
- s/jPackage/JPackage

* Sat Jun 23 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 0.4.19-1mdk
- first Mandrake release
